Subject: B20: Changes in #! execution
From: [email-masked] (Warren Jones)

25 Nov 1998 07:17:28 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]

I've noticed two changes in how scripts starting with "#!" are
handled in B20:

    1. This no longer works:

           #! /bin/sh

       ... if "/bin/sh.exe" is a symbolic link.  I found
       it convenient to make "/bin/sh.exe" a symbolic link
       to the real location of sh.exe (a much longer path).
       Now bash will just hang when trying to run a script
       that starts with "#!/bin/sh".  To make such scripts
       work, I now have to copy sh.exe to /bin.

    2. Something like this no longer works:

           #! perl

       The interpreter (e.g. "perl") must now be specified
       with a full path:  Cygwin will no longer use $PATH
       to find perl (or whatever).

Both (1) and (2) worked with B19.1.  Change #1 looks like a bug.
Does anyone know if change #2 was deliberate?

--
Warren Jones
Fluke Corporation
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".